<databaseChangeLog xmlns="http://www.liquibase.org/xml/ns/dbchangelog" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.2.xsd">
    <changeSet  author="SYSTEM" id="DUKH-10-get-total-balance.xml" runOnChange="true" runInTransaction="true">
        <createProcedure dbms="h2,!oracle, postgresql" encoding="UTF-8" >
            <![CDATA[CREATE OR REPLACE FUNCTION get_total_balance(OUT balance numeric)
            RETURNS numeric
            LANGUAGE plpgsql
            AS $$
            BEGIN
            SELECT SUM(accounts.balance) INTO STRICT BALANCE FROM MPAY_ACCOUNTS  accounts
            WHERE accounts.LEVEL1 is NULL
            OR accounts.LEVEL1 = 0;

            IF BALANCE IS NULL THEN
            BALANCE := 0;
            END IF;
            RETURN;
            END; $$
            ;]]>
        </createProcedure>
    </changeSet>
</databaseChangeLog>
